Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 641494 - dev-perl/Cairo-1.106.0 : [TEST] t/CairoSurface.t .. Non-zero wait status: 11
Summary: dev-perl/Cairo-1.106.0 : [TEST] t/CairoSurface.t .. Non-zero wait status: 11
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL: https://rt.cpan.org/Ticket/Display.ht...
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks: perl-testfailure
  Show dependency tree
 
Reported: 2017-12-17 18:32 UTC by Toralf Förster
Modified: 2020-10-04 04:30 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.07 KB, text/plain)
2017-12-17 18:32 UTC, Toralf Förster
Details
dev-perl:Cairo-1.106.0:20171217-182951.log (dev-perl:Cairo-1.106.0:20171217-182951.log,11.31 KB, text/plain)
2017-12-17 18:32 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,51.63 KB, text/plain)
2017-12-17 18:33 UTC, Toralf Förster
Details
environment (environment,104.78 KB, text/plain)
2017-12-17 18:33 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,12.98 KB, application/x-bzip)
2017-12-17 18:33 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,26.69 KB, application/x-bzip)
2017-12-17 18:33 UTC, Toralf Förster
Details
tests.tbz2 (tests.tbz2,6.49 KB, application/x-bzip)
2017-12-17 18:33 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2017-12-17 18:32:52 UTC
t/CairoSurface.t .. 1/88 
                           
t/CairoSurface.t .. Failed 47/88 subtests 

Test Summary Report
-------------------

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0_test_20171216-103216

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.2.0 *

Available Python interpreters, in order of preference:
  [1]   python3.5
  [2]   python3.6 (fallback)
  [3]   python2.7 (fallback)

java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.6.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv dev-perl/Cairo
[ebuild  N    ] dev-perl/Cairo-1.106.0  USE="{-test}"
Comment 1 Toralf Förster gentoo-dev 2017-12-17 18:32:55 UTC
Created attachment 510524 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2017-12-17 18:32:58 UTC
Created attachment 510526 [details]
dev-perl:Cairo-1.106.0:20171217-182951.log
Comment 3 Toralf Förster gentoo-dev 2017-12-17 18:33:01 UTC
Created attachment 510528 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2017-12-17 18:33:04 UTC
Created attachment 510530 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2017-12-17 18:33:08 UTC
Created attachment 510532 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2017-12-17 18:33:11 UTC
Created attachment 510534 [details]
temp.tbz2
Comment 7 Toralf Förster gentoo-dev 2017-12-17 18:33:14 UTC
Created attachment 510536 [details]
tests.tbz2
Comment 8 Kent Fredric (IRC: kent\n) gentoo-dev 2017-12-17 22:05:47 UTC
t/CairoSurface.t (Wstat: 11 Tests: 41 Failed: 0)
  Non-zero wait status: 11


^ thats a segfault. Can you get the dmesg?
Comment 9 Toralf Förster gentoo-dev 2017-12-17 22:51:26 UTC
(In reply to Kent Fredric (IRC: kent\n) from comment #8)
only this :

Dec 17 19:30:06 mr-fox kernel: [ 9855.624232] perl[18791]: segfault at 10 ip 00007f02c8d37d1d sp 00007ffefcb26590 error 6 in libpng16.so.16.34.0[7f02c8d2c000+35000]
Comment 10 Larry the Git Cow gentoo-dev 2020-05-13 15:10:53 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2c58128ee88e4869b802230e341c0645cf1e07c0

commit 2c58128ee88e4869b802230e341c0645cf1e07c0
Author:     Kent Fredric <kentnl@gentoo.org>
AuthorDate: 2020-05-13 15:01:33 +0000
Commit:     Kent Fredric <kentnl@gentoo.org>
CommitDate: 2020-05-13 15:10:01 +0000

    dev-perl/Cairo: Bump to version 1.107.0
    
    - EAPI7
    - Add USE="examples"
    - Replace sed invocation with a patch
    - Enable parallel tests
    - I see no evidence of bug #663478 or bug #641494, which may be the same
      bug in differing presentations. Affected users are encouraged to
      reproduce and give information about their installed cairo and
      libpng's and applicable USE flags.
    
    Upstream:
    - Add bindings for cairo_tag_begin and cairo_tag_end
    - Add binding for cairo_pdf_surface_set_metadata
    
    Bug: https://bugs.gentoo.org/641494
    Bug: https://bugs.gentoo.org/663478
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: Kent Fredric <kentnl@gentoo.org>

 dev-perl/Cairo/Cairo-1.107.0.ebuild               | 32 +++++++++++++++++++++++
 dev-perl/Cairo/Manifest                           |  1 +
 dev-perl/Cairo/files/Cairo-1.107-fatal-exit.patch | 25 ++++++++++++++++++
 3 files changed, 58 insertions(+)
Comment 11 Larry the Git Cow gentoo-dev 2020-10-04 04:30:03 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fbe9eae10fa3a648e2ccbea0e1b68264ffafd5b6

commit fbe9eae10fa3a648e2ccbea0e1b68264ffafd5b6
Author:     Kent Fredric <kentnl@gentoo.org>
AuthorDate: 2020-10-04 04:25:09 +0000
Commit:     Kent Fredric <kentnl@gentoo.org>
CommitDate: 2020-10-04 04:28:12 +0000

    dev-perl/Cairo: Cleanup old 1.106.0
    
    Closes: https://bugs.gentoo.org/641494
    Closes: https://bugs.gentoo.org/663478
    Package-Manager: Portage-3.0.8, Repoman-3.0.1
    Signed-off-by: Kent Fredric <kentnl@gentoo.org>

 dev-perl/Cairo/Cairo-1.106.0.ebuild | 35 -----------------------------------
 dev-perl/Cairo/Manifest             |  1 -
 2 files changed, 36 deletions(-)